Bug 463818 - firstboot fails on serial and text consoles
firstboot fails on serial and text consoles
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firstboot (Show other bugs)
5.3
All Linux
medium Severity medium
: beta
: ---
Assigned To: Chris Lumens
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 15:57 EDT by Jeff Bastian
Modified: 2009-01-20 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:06:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0229 normal SHIPPED_LIVE firstboot bug fix and enhancement update 2009-01-20 11:06:31 EST

  None (edit)
Description Jeff Bastian 2008-09-24 15:57:10 EDT
Description of problem:
I installed RHEL 5.3 20080919.nightly on a system with a serial console and noticed firstboot failed with:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
...
Starting Avahi daemon... [  OK  ]
Starting HAL daemon: [  OK  ]
  File "/usr/sbin/firstboot", line 103, in ?
    fb.runTextUI()
  File "/usr/share/firstboot/firstboot.py", line 81, in runTextUI
    import textWindow
 [FAILED]
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

I then ssh'ed into the box (no $DISPLAY) and ran firstboot manually and it gave me the same error message.


Version-Release number of selected component (if applicable):
firstboot-1.4.27.5-1.el5.x86_64
RHEL 5.3 20080919.nightly

How reproducible:
Every time

Steps to Reproduce:
1. Install RHEL 5.3 20080919.nightly on a system with a serial console
2. Watch boot sequence after installation finishes

  
Actual results:
firstboot spits out the above errors

Expected results:
firstboot runs

Additional info:
Comment 1 Jeff Bastian 2008-09-24 16:07:52 EDT
It appears some files are missing from firstboot-tui.

On RHEL 5.2:
# rpm -ql firstboot-tui | grep textWindow
/usr/share/firstboot/textWindow.py
/usr/share/firstboot/textWindow.pyc
/usr/share/firstboot/textWindow.pyo


On RHEL 5.3 20080919.nightly:
# rpm -ql firstboot-tui | grep textWindow
/usr/share/firstboot/textWindow.py


The .pyc and .pyo files are missing for textWindow, but they're present for constants_text, eula_strings, firstbootBackend, etc.

These files should be created automatically by Python, though...
Comment 2 Chris Lumens 2008-09-24 16:11:14 EDT
Please attach the /tmp/firstboot* file to this bug report.  That contains the complete traceback.  Thanks.
Comment 3 Jeff Bastian 2008-09-24 16:12:12 EDT
Ah-hah!

# cd /usr/share/firstboot
# python textWindow.py
  File "textWindow.py", line 41
    (_("RHN Register"), ("/usr/bin/rhn_register"), ("")]
                                                       ^
SyntaxError: invalid syntax


There's a missing closing parenthesis:
    (_("RHN Register"), ("/usr/bin/rhn_register"), (""))]
                                                       ^
Comment 4 Jeff Bastian 2008-09-24 16:13:45 EDT
Yes, the /tmp/firstboot-crash.log shows the same error:


# cat /tmp/firstboot-crash.log
Traceback (most recent call last):
  File "/usr/sbin/firstboot", line 103, in ?
    fb.runTextUI()
  File "/usr/share/firstboot/firstboot.py", line 81, in runTextUI
    import textWindow
  File "/usr/share/firstboot/textWindow.py", line 41
     (_("RHN Register"), ("/usr/bin/rhn_register"), ("")]
                                                        ^
 SyntaxError: invalid syntax
Comment 5 Chris Lumens 2008-09-24 16:21:26 EDT
Gah, what a stupid mistake.
Comment 7 Chris Lumens 2008-09-25 12:57:40 EDT
This will be fixed in firstboot-1.4.27.6-1.  Thanks for the bug report.
Comment 11 errata-xmlrpc 2009-01-20 17:06:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0229.html

Note You need to log in before you can comment on or make changes to this bug.